<?php
/**
 * Excel Business Pro functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Excel_Business
 */

//define theme version
if ( ! defined( 'EXCEL_BUSINESS_VERSION' ) ) {
	$theme_data = wp_get_theme();	
	define ( 'EXCEL_BUSINESS_VERSION', $theme_data->get( 'Version' ) );
}

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/back-hooks.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/front-hooks.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';

/**
 * Widgets
 */
require get_template_directory() . '/inc/widgets.php';

/**
 * Plugin Recommendation
*/
require get_template_directory() . '/inc/tgmpa/recommended-plugins.php';